Reverses all bills on an account bill list
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | The account that all bills will be reversed on | integer (int32) | Required |
Request Body
ListActionReverse
| Property | Description | Type | |||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| batchSettings | BatchCreate | ||||||||||||||||||||||||||||||||||
|
BatchCreate properties
|
|||||||||||||||||||||||||||||||||||
Example Request Body
{ "batchSettings": { "accountPeriodNumber": 1, "accountPeriodYear": 1, "batchCode": "string", "closeExistingBatch": false, "controlCode": "string", "dueDate": "2026-03-30", "invoiceNumber": "string", "nextReading": "2026-03-30", "note": "string", "statementDate": "2026-03-30"
}
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
UpdateResult
| Property | Description | Type |
|---|---|---|
| selected | Required (defined) | integer (int32) |
| updated | Required (defined) | integer (int32) |
Example Response
{ "selected": 1, "updated": 1
}